<?php

//nom de votre application
defined('APPNAME') or define('APPNAME','Votre application');

//URL de votre site; le lien dans le coin supérieur gauche de la page y renverra
defined('HOME_URL') or define('HOME_URL', '');

//clé de validation des cookies
// obligatoire !! (mais vous pouvez y mettre une chaine quelconque, genre 'macleDeVaLidat0n').
defined('CLE_VALIDATION_COOKIES') or define('CLE_VALIDATION_COOKIES','');

//URL de l'api MPay
if(YII_DEBUG) {
  defined('MPAY_API_BASE_URL') or define('MPAY_API_BASE_URL', '');
} else {
  defined('MPAY_API_BASE_URL') or define('MPAY_API_BASE_URL', 'https://mpay.ytsamy.name/api/');
}

//préfixe pour les noms de table dans la base de données
defined('TABLE_PREFIX') or define('TABLE_PREFIX', 'mpay_client_');
//format pour les date
defined('DATETIME_FORMAT') or define('DATETIME_FORMAT', 'Y-m-d H:i:s');
defined('DATEINTERVAL_FORMAT') or define('DATEINTERVAL_FORMAT', '%Y année(s), %M mois et %D jour(s)');

//Montant paiement par défaut (attention, il s'agit d'un entier et non d'une chaine
defined('AMOUNT') or define('AMOUNT', 1000);

//NUméros de téléphone qui recoivent les paiements
defined('NUMBER_ORANGE') or define('NUMBER_ORANGE', '');
defined('NUMBER_TELMOB') or define('NUMBER_TELMOB', '');

//URL où renvoyer l'utilisateur une fois le paiement validé
//toute occurence de la chaine '%ID%' sera remplacée par l'identifiant
// de l'enregistrement correspondant au paiement
// example: www.example.com  ==> www.example.com
//          www.example.com?success=true&record=%ID%  ==> www.example.com?success=true&record=6
defined('RETURN_URL') or define('RETURN_URL', '');

//URL qui sera appelée, dans le schéma 2 d'utilisation, une fois qu'un paiement est reçu
//comme pour la constante précédente, toute occurence de la chaine '%ID%' sera remplacée
//par l'identifiant de l'enregistrement correspondant au paiement
defined('SERVICE_RETURN_URL') or define('SERVICE_RETURN_URL', '');
